Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.boot
Class ClassAnnotator

    java.lang.Object
      org.jini.rio.boot.ClassAnnotator

All Implemented Interfaces:
  ClassAnnotation

Direct Known Subclasses:
  AdaptiveClassAnnotator

    public class ClassAnnotator

extends Object
implements ClassAnnotation

Provides support to annotate classes required for dynamic class loading in RMI

See Also:
  `ClassAnnotation`

Constructor Summary
`ClassAnnotator(URL[] codebase, Properties props)` Constructs a new ClassAnnotator for the specified codebase URLs

Method Summary
`String` | `getClassAnnotation()`
`protected Properties` | `getProperties()` Get the properties
`URL[]` | `getURLs()` Get the codebase URLs used for class annotations.
`void` | `setAnnotationURLs(URL[] urls)` Replace the URLs used for class annotations.
`static String` | `urisToPath(URI[] uris)` Utility method that converts a `URI[]` into a corresponding, space-separated string with the same array elements.
`static String` | `urlsToPath(URL[] urls)` Utility method that converts a `URL[]` into a corresponding, space-separated string with the same array elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAnnotator

    public ClassAnnotator(URL[] codebase,
                          Properties props)

  Constructs a new ClassAnnotator for the specified codebase URLs

  Parameters:
    `codebase` - Array of URLs to use for the codebase
    `props` - Optional properties a ClassAnnotator may use to control behavior

Method Detail

### getURLs

    public URL[] getURLs()

  Get the codebase URLs used for class annotations.

  Returns:
    The codebase URLs required for class annotations

### setAnnotationURLs

    public void setAnnotationURLs(URL[] urls)

  Replace the URLs used for class annotations.

  Parameters:
    `urls` - The URLs used for class annotations.

### getClassAnnotation

    public String getClassAnnotation()

  Specified by:
    `getClassAnnotation` in interface `ClassAnnotation`
  See Also:
    `ClassAnnotation.getClassAnnotation()`

### getProperties

    protected Properties getProperties()

  Get the properties

  Returns:
    A Properties object set at creation time. A new Properties object is created each time

### urlsToPath

    public static String urlsToPath(URL[] urls)

  Utility method that converts a `URL[]` into a corresponding, space-separated string with the same array elements. Note that if the array has zero elements, the return value is the empty string.

  Parameters:
    `urls` - An array of URLs that are to be converted
  Returns:
    A space-separated string of each URL provided

### urisToPath

    public static String urisToPath(URI[] uris)

  Utility method that converts a `URI[]` into a corresponding, space-separated string with the same array elements. Note that if the array has zero elements, the return value is the empty string.

  Parameters:
    `uris` - An array of URIs that are to be converted
  Returns:
    A space-separated string of each URI provided

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.